Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tiles.definition.pattern
Class PrefixedPatternDefinitionResolver<T>

    java.lang.Object
      org.apache.tiles.definition.pattern.AbstractPatternDefinitionResolver<T>
          org.apache.tiles.definition.pattern.PrefixedPatternDefinitionResolver<T>

Type Parameters:
  `T` - The type of the customization key.

All Implemented Interfaces:
  PatternDefinitionResolver<T>

    public class PrefixedPatternDefinitionResolver<T>

extends AbstractPatternDefinitionResolver<T>

This resolver allows the use of multiple pattern matching languages. The syntax of definition names must be `LANGUAGENAME:expression`.
The different languages must be registered through the use of `registerDefinitionPatternMatcherFactory(String, DefinitionPatternMatcherFactory)` method before using this resolver.

Since:
  2.2.0
Version:
  $Rev: 823662 $ $Date: 2009-10-09 20:48:03 +0200 (ven, 09 ott 2009) $

Constructor Summary
`PrefixedPatternDefinitionResolver()` Constructor.

Method Summary
`protected java.util.Map<java.lang.String,Definition>` | `addDefinitionsAsPatternMatchers(java.util.List<DefinitionPatternMatcher> matchers, java.util.Map<java.lang.String,Definition> defsMap)` Adds definitions, filtering and adding them to the list of definition pattern matchers.
`void` | `registerDefinitionPatternMatcherFactory(java.lang.String language, DefinitionPatternMatcherFactory factory)` Registers a `DefinitionPatternMatcherFactory` connected to a particular language.

Methods inherited from class org.apache.tiles.definition.pattern.AbstractPatternDefinitionResolver
`resolveDefinition, storeDefinitionPatterns`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PrefixedPatternDefinitionResolver

    public PrefixedPatternDefinitionResolver()

  Constructor.

  Since:
    2.2.0

Method Detail

### registerDefinitionPatternMatcherFactory

    public void registerDefinitionPatternMatcherFactory(java.lang.String language,
                                                        DefinitionPatternMatcherFactory factory)

  Registers a `DefinitionPatternMatcherFactory` connected to a particular language.

  Parameters:
    `language` - The name of the language.
    `factory` - The pattern matcher factory to register.
  Since:
    2.2.0

### addDefinitionsAsPatternMatchers

    protected java.util.Map<java.lang.String,Definition> addDefinitionsAsPatternMatchers(java.util.List<DefinitionPatternMatcher> matchers,
                                                                                         java.util.Map<java.lang.String,Definition> defsMap)

  Adds definitions, filtering and adding them to the list of definition pattern matchers. Only a subset of definitions will be transformed into definition pattern matchers.

  Specified by:
    `addDefinitionsAsPatternMatchers` in class `AbstractPatternDefinitionResolver<T>`
  Parameters:
    `matchers` - The list containing the currently stored definition pattern matchers.
    `defsMap` - The definition map to parse.
  Returns:
    The map of the definitions not recognized as containing definition patterns.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 Apache Software Foundation. All Rights Reserved.